ATI 9200 and Tiger - Again... sorry!

Discussion in 'macOS' started by agentdavo, Jan 20, 2005.

  1. agentdavo macrumors newbie

    Oct 20, 2004
    So, Tiger needs rev2.0/3.0 shaders? Ok so basically a dx9 class card.

    The 9200 has rev1.4 shaders (dx8.1). Why not write backward compatible shader programs for rev1.4 too? Game developers sure do.....

    Are Apples shader programs really that long so not to fit in shader 1.4? Can they not achieve similar results with smaller shader programs for less complex Tiger tasks?

    What gives?

    Tell me if i'm talking rubbish!
  2. gekko513 macrumors 603


    Oct 16, 2003
    I really doubt that the length of the programs is the only difference between shader model 1.4 and 2.0. It's more probable that there are more features in v2.0.

    Tiger will run on a 9200 but like the game developers do, they turn off the features that are not supported on that card. This just means that some of the fanciest transitions and effects in Tiger will not be quite as fancy on a 9200.

    At least that's how I understand it.
  3. agentdavo thread starter macrumors newbie

    Oct 20, 2004
    I guess something like that is why CoreVideo wont be fully supported then.... :)

Share This Page